Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/lidar_simulator.F90	(revision 5082)
@@ -247,5 +247,5 @@
 !------------------------------------------------------------
 
-      if ( npart .ne. 4 ) then
+      if ( npart /= 4 ) then
         print *,'Error in lidar_simulator, npart should be 4, not',npart
         stop
@@ -267,5 +267,5 @@
          polpart(INDX_LSLIQ,5) =  0.0626
 !*     LS Ice coefficients: 
-      if (ice_type.eq.0) then     
+      if (ice_type==0) then
          polpart(INDX_LSICE,1) = -1.0176e-8
          polpart(INDX_LSICE,2) =  1.7615e-6
@@ -275,5 +275,5 @@
       endif
 !*     LS Ice NS coefficients: 
-      if (ice_type.eq.1) then 
+      if (ice_type==1) then
          polpart(INDX_LSICE,1) = 1.3615e-8
          polpart(INDX_LSICE,2) = -2.04206e-6
@@ -289,5 +289,5 @@
          polpart(INDX_CVLIQ,5) =  0.0626
 !*     CONV Ice coefficients: 
-      if (ice_type.eq.0) then 
+      if (ice_type==0) then
          polpart(INDX_CVICE,1) = -1.0176e-8
          polpart(INDX_CVICE,2) =  1.7615e-6
@@ -296,5 +296,5 @@
          polpart(INDX_CVICE,5) =  0.0460
       endif
-      if (ice_type.eq.1) then
+      if (ice_type==1) then
          polpart(INDX_CVICE,1) = 1.3615e-8
          polpart(INDX_CVICE,2) = -2.04206e-6
@@ -342,5 +342,5 @@
 ! polynomes kp_lidar derived from Mie theory:
       do i = 1, npart
-       where ( rad_part(:,:,i).gt.0.0)
+       where ( rad_part(:,:,i)>0.0)
          kp_part(:,:,i) = &
             polpart(i,1)*(rad_part(:,:,i)*1e6)**4 &
@@ -362,5 +362,5 @@
 ! alpha of particles in each subcolumn:
       do i = 1, npart
-        where ( rad_part(:,:,i).gt.0.0)
+        where ( rad_part(:,:,i)>0.0)
           alpha_part(:,:,i) = 3.0/4.0 * Qscat &
                  * rhoair(:,:) * qpart(:,:,i) &
@@ -404,5 +404,5 @@
        DO k= nlev-1, 1, -1
         tau_mol_lay(:) = tau_mol(:,k)-tau_mol(:,k+1) ! opt. thick. of layer k
-        WHERE (tau_mol_lay(:).GT.0.)
+        WHERE (tau_mol_lay(:)>0.)
           pmol(:,k) = beta_mol(:,k) * EXP(-2.0*tau_mol(:,k+1)) / (2.*tau_mol_lay(:)) &
             & * (1.-exp(-2.0*tau_mol_lay(:)))
@@ -434,5 +434,5 @@
       DO k= nlev-1, 1, -1
           tautot_lay(:) = tautot(:,k)-tautot(:,k+1) ! optical thickness of layer k
-        WHERE (tautot_lay(:).GT.0.)
+        WHERE (tautot_lay(:)>0.)
           pnorm(:,k) = betatot(:,k) * EXP(-2.0*tautot(:,k+1)) / (2.*tautot_lay(:)) &
                & * (1.-EXP(-2.0*tautot_lay(:)))
@@ -472,5 +472,5 @@
       DO k= nlev-1, 1, -1
           tautot_lay_ice(:) = tautot_ice(:,k)-tautot_ice(:,k+1) 
-        WHERE (tautot_lay_ice(:).GT.0.)
+        WHERE (tautot_lay_ice(:)>0.)
          pnorm_ice(:,k)=betatot_ice(:,k)*EXP(-2.0*tautot_ice(:,k+1))/(2.*tautot_lay_ice(:)) &
                & * (1.-EXP(-2.0*tautot_lay_ice(:)))
@@ -487,5 +487,5 @@
       DO k= nlev-1, 1, -1
           tautot_lay_liq(:) = tautot_liq(:,k)-tautot_liq(:,k+1) 
-        WHERE (tautot_lay_liq(:).GT.0.)
+        WHERE (tautot_lay_liq(:)>0.)
           pnorm_liq(:,k)=betatot_liq(:,k)*EXP(-2.0*tautot_liq(:,k+1))/(2.*tautot_lay_liq(:)) &
                & * (1.-EXP(-2.0*tautot_lay_liq(:)))
@@ -514,5 +514,5 @@
       DO k= nlev-1, 1, -1
         tautot_lay_ice(:) = tautot_ice(:,k)-tautot_ice(:,k+1)
-        WHERE (tautot_lay_ice(:).GT.0.)
+        WHERE (tautot_lay_ice(:)>0.)
          beta_perp_ice(:,k) = pnorm_perp_ice(:,k)/ EXP(-2.0*tautot_ice(:,k+1)) * (2.*tautot_lay_ice(:)) &
             & / (1.-exp(-2.0*tautot_lay_ice(:)))
@@ -530,5 +530,5 @@
       DO k= nlev-1, 1, -1
           tautot_lay_liq(:) = tautot_liq(:,k)-tautot_liq(:,k+1) 
-        WHERE (tautot_lay_liq(:).GT.0.)
+        WHERE (tautot_lay_liq(:)>0.)
          beta_perp_liq(:,k) = pnorm_perp_liq(:,k)/ max(seuil,EXP(-2.0*tautot_liq(:,k+1))) &
             & * (2.*tautot_lay_liq(:)) / (1.-exp(-2.0*tautot_lay_liq(:)))
@@ -547,5 +547,5 @@
 ! Computation of the total perpendicular lidar signal (ATBperp for liq+ice)
 !     Upper layer 
-    WHERE(tautot(:,nlev).GT.0)
+    WHERE(tautot(:,nlev)>0)
           pnorm_perp_tot(:,nlev) = &
               (beta_perp_ice(:,nlev)+beta_perp_liq(:,nlev)-(beta_mol(:,nlev)/(1+1/0.0284))) / (2.*tautot(:,nlev)) &
@@ -563,8 +563,8 @@
           ! We remove one contribution using 
           ! Betaperp=beta_mol(:,k)/(1+1/0.0284)) [bodhaine et al. 1999] in the following equations:
-            WHERE (pnorm(:,k).eq.0)
+            WHERE (pnorm(:,k)==0)
                   pnorm_perp_tot(:,k)=0.
                   ELSEWHERE
-                    WHERE (tautot_lay(:).GT.0.)
+                    WHERE (tautot_lay(:)>0.)
                       pnorm_perp_tot(:,k) = &
                           (beta_perp_ice(:,k)+beta_perp_liq(:,k)-(beta_mol(:,k)/(1+1/0.0284))) * &
@@ -695,5 +695,5 @@
 !        for 2 scattering phase functions: liquid spherical, ice non spherical
 
-    IF ( nrefl.GT. ntetas ) THEN
+    IF ( nrefl> ntetas ) THEN
         PRINT *,'Error in lidar_simulator, nrefl should be less then ',ntetas,' not',nrefl
         STOP
@@ -711,5 +711,5 @@
 !
 ! relative fraction of the opt. thick due to liquid or ice clouds
-    WHERE (tautot_S(:) .GT. 0.)
+    WHERE (tautot_S(:) > 0.)
         frac_taucol_liq(:) = tautot_S_liq(:) / tautot_S(:)
         frac_taucol_ice(:) = tautot_S_ice(:) / tautot_S(:)
@@ -733,5 +733,5 @@
     DO it=1,ntetas
       DO ny=1,nbtau-1
-        WHERE (tautot_S(:).GE.tau(ny).AND.tautot_S(:).LE.tau(ny+1))
+        WHERE (tautot_S(:)>=tau(ny).AND.tautot_S(:)<=tau(ny+1))
             rlumA_mod(:,it) = aA(it,ny)*tautot_S(:) + bA(it,ny)
             rlumB_mod(:,it) = aB(it,ny)*tautot_S(:) + bB(it,ny)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5082)
@@ -34,12 +34,12 @@
 
 ! ----- INPUTS -----
-  real*8, intent(in) :: x
+  real(kind=8), intent(in) :: x
   
 ! ----- OUTPUTS -----
-  real*8 :: gamma
+  real(kind=8) :: gamma
 
 ! ----- INTERNAL -----  
-  real*8 :: pi,ga,z,r,gr
-  real*8 :: g(26)
+  real(kind=8) :: pi,ga,z,r,gr
+  real(kind=8) :: g(26)
   integer :: k,m1,m
        
@@ -124,15 +124,15 @@
 
 ! ----- INPUTS -----  
-  real*8, intent(in), dimension(:) :: f,s  
+  real(kind=8), intent(in), dimension(:) :: f,s
   integer, intent(in) :: i1, i2
 
 ! ---- OUTPUTS -----
-  real*8 :: path_integral  
+  real(kind=8) :: path_integral
   
 ! ----- INTERNAL -----    
-  real*8 :: sumo, deltah, val
-  integer*4 :: nelm, j
-  integer*4, dimension(i2-i1+1) :: idx
-  real*8, dimension(i2-i1+1) :: f_rev, s_rev
+  real(kind=8) :: sumo, deltah, val
+  integer(kind=4) :: nelm, j
+  integer(kind=4), dimension(i2-i1+1) :: idx
+  real(kind=8), dimension(i2-i1+1) :: f_rev, s_rev
 
   nelm = i2-i1+1
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp.F90	(revision 5082)
@@ -179,5 +179,5 @@
    minp = minval(gbx%psfc)
    maxp = maxval(gbx%psfc)
-   if (Npoints .gt. 1) seed=int((gbx%psfc-minp)/(maxp-minp)*100000) + 1
+   if (Npoints > 1) seed=int((gbx%psfc-minp)/(maxp-minp)*100000) + 1
    ! Below it's how it was done in the original implementation of the ISCCP simulator. 
    ! The one above is better for offline data, when you may have packed data 
@@ -414,7 +414,7 @@
                 if (sgx%frac_out (j,i,Nlevels+1-k) == I_LSC) frac_ls(j,k)=frac_ls(j,k)+1.
                 if (sgx%frac_out (j,i,Nlevels+1-k) == I_CVC) frac_cv(j,k)=frac_cv(j,k)+1.
-                if (sgx%prec_frac(j,i,Nlevels+1-k) .eq. 1) prec_ls(j,k)=prec_ls(j,k)+1.
-                if (sgx%prec_frac(j,i,Nlevels+1-k) .eq. 2) prec_cv(j,k)=prec_cv(j,k)+1.
-                if (sgx%prec_frac(j,i,Nlevels+1-k) .eq. 3) then
+                if (sgx%prec_frac(j,i,Nlevels+1-k) == 1) prec_ls(j,k)=prec_ls(j,k)+1.
+                if (sgx%prec_frac(j,i,Nlevels+1-k) == 2) prec_cv(j,k)=prec_cv(j,k)+1.
+                if (sgx%prec_frac(j,i,Nlevels+1-k) == 3) then
                     prec_cv(j,k)=prec_cv(j,k)+1.
                     prec_ls(j,k)=prec_ls(j,k)+1.
@@ -501,9 +501,9 @@
             do j=1,Npoints
                 !--------- Clouds -------
-                if (frac_ls(j,k) .ne. 0.) then
+                if (frac_ls(j,k) /= 0.) then
                     sghydro%mr_hydro(j,:,k,I_LSCLIQ) = sghydro%mr_hydro(j,:,k,I_LSCLIQ)/frac_ls(j,k)
                     sghydro%mr_hydro(j,:,k,I_LSCICE) = sghydro%mr_hydro(j,:,k,I_LSCICE)/frac_ls(j,k)
                 endif
-                if (frac_cv(j,k) .ne. 0.) then
+                if (frac_cv(j,k) /= 0.) then
                     sghydro%mr_hydro(j,:,k,I_CVCLIQ) = sghydro%mr_hydro(j,:,k,I_CVCLIQ)/frac_cv(j,k)
                     sghydro%mr_hydro(j,:,k,I_CVCICE) = sghydro%mr_hydro(j,:,k,I_CVCICE)/frac_cv(j,k)
@@ -511,20 +511,20 @@
                 !--------- Precip -------
                 if (gbx%use_precipitation_fluxes) then
-                    if (prec_ls(j,k) .ne. 0.) then
+                    if (prec_ls(j,k) /= 0.) then
                         gbx%rain_ls(j,k) = gbx%rain_ls(j,k)/prec_ls(j,k)
                         gbx%snow_ls(j,k) = gbx%snow_ls(j,k)/prec_ls(j,k)
                         gbx%grpl_ls(j,k) = gbx%grpl_ls(j,k)/prec_ls(j,k)
                     endif
-                    if (prec_cv(j,k) .ne. 0.) then
+                    if (prec_cv(j,k) /= 0.) then
                         gbx%rain_cv(j,k) = gbx%rain_cv(j,k)/prec_cv(j,k)
                         gbx%snow_cv(j,k) = gbx%snow_cv(j,k)/prec_cv(j,k)
                     endif
                 else
-                    if (prec_ls(j,k) .ne. 0.) then
+                    if (prec_ls(j,k) /= 0.) then
                         sghydro%mr_hydro(j,:,k,I_LSRAIN) = sghydro%mr_hydro(j,:,k,I_LSRAIN)/prec_ls(j,k)
                         sghydro%mr_hydro(j,:,k,I_LSSNOW) = sghydro%mr_hydro(j,:,k,I_LSSNOW)/prec_ls(j,k)
                         sghydro%mr_hydro(j,:,k,I_LSGRPL) = sghydro%mr_hydro(j,:,k,I_LSGRPL)/prec_ls(j,k)
                     endif
-                    if (prec_cv(j,k) .ne. 0.) then
+                    if (prec_cv(j,k) /= 0.) then
                         sghydro%mr_hydro(j,:,k,I_CVRAIN) = sghydro%mr_hydro(j,:,k,I_CVRAIN)/prec_cv(j,k)
                         sghydro%mr_hydro(j,:,k,I_CVSNOW) = sghydro%mr_hydro(j,:,k,I_CVSNOW)/prec_cv(j,k)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_radar.F90	(revision 5082)
@@ -53,15 +53,15 @@
 
         real undef
-        real*8, dimension(nprof,ngate), intent(in) :: hgt_matrix, p_matrix, &
+        real(kind=8), dimension(nprof,ngate), intent(in) :: hgt_matrix, p_matrix, &
             t_matrix,rh_matrix
-        real*8, dimension(hp%nhclass,nprof,ngate), intent(in) :: hm_matrix
-        real*8, dimension(hp%nhclass,nprof,ngate), intent(inout) :: re_matrix
-        real*8, dimension(hp%nhclass,nprof,ngate), intent(inout) :: Np_matrix
+        real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(in) :: hm_matrix
+        real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(inout) :: re_matrix
+        real(kind=8), dimension(hp%nhclass,nprof,ngate), intent(inout) :: Np_matrix
 
         ! ----- OUTPUTS -----
-        real*8, dimension(nprof,ngate), intent(out) :: Ze_non,Ze_ray, &
+        real(kind=8), dimension(nprof,ngate), intent(out) :: Ze_non,Ze_ray, &
             g_to_vol,dBZe,a_to_vol
         ! ----- OPTIONAL -----
-        real*8, optional, dimension(nprof,ngate) :: &
+        real(kind=8), optional, dimension(nprof,ngate) :: &
             g_to_vol_in,g_to_vol_out
      end subroutine radar_simulator
@@ -86,8 +86,8 @@
   nsizes            ! num of discrete drop sizes
 
-  real*8, dimension(:,:), allocatable :: &
+  real(kind=8), dimension(:,:), allocatable :: &
   g_to_vol ! integrated atten due to gases, r>v (dB)
 
-  real*8, dimension(:,:), allocatable :: &
+  real(kind=8), dimension(:,:), allocatable :: &
   Ze_non, &         ! radar reflectivity withOUT attenuation (dBZ)
   Ze_ray, &         ! Rayleigh reflectivity (dBZ)
@@ -100,5 +100,5 @@
   rh_matrix                     !relative humidity (%)
 
-  real*8, dimension(:,:,:), allocatable :: &
+  real(kind=8), dimension(:,:,:), allocatable :: &
   hm_matrix, &          ! hydrometeor mixing ratio (g kg^-1)
   re_matrix, &          ! effective radius (microns).   Optional. 0 ==> use Np_matrix or defaults
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_types.F90	(revision 5082)
@@ -1110,5 +1110,5 @@
 
 
-    if(y%Nhydro.ne.N_HYDRO) then
+    if(y%Nhydro/=N_HYDRO) then
 
         write(*,*) 'Number of hydrometeor input to subroutine', &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_llnl_stats.F90	(revision 5082)
@@ -119,7 +119,7 @@
        do j=Nlevels,1,-1 !top->surf
         sc_ratio = beta_tot(pr,i,j)/beta_mol(pr,j)
-        if ((sc_ratio .le. s_att) .and. (flag_sat .eq. 0)) flag_sat = j
-        if (Ze_tot(pr,i,j) .lt. -30.) then  !radar can't detect cloud
-         if ( (sc_ratio .gt. s_cld) .or. (flag_sat .eq. j) ) then  !lidar sense cloud
+        if ((sc_ratio <= s_att) .and. (flag_sat == 0)) flag_sat = j
+        if (Ze_tot(pr,i,j) < -30.) then  !radar can't detect cloud
+         if ( (sc_ratio > s_cld) .or. (flag_sat == j) ) then  !lidar sense cloud
             lidar_only_freq_cloud(pr,j)=lidar_only_freq_cloud(pr,j)+1. !top->surf
             flag_cld=1
@@ -129,5 +129,5 @@
         endif
        enddo !levels
-       if (flag_cld .eq. 1) tcc(pr)=tcc(pr)+1.
+       if (flag_cld == 1) tcc(pr)=tcc(pr)+1.
      enddo !columns
    enddo !points
